<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Matchers::Impl::MatchAllOf&lt; ArgT &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers.html">Matchers</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers_1_1Impl.html">Impl</a></li><li class="navelem"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">MatchAllOf</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Matchers::Impl::MatchAllOf&lt; ArgT &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acfb377bda2c58ae62e6df9c3a8a89f8f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html#acfb377bda2c58ae62e6df9c3a8a89f8f">match</a> (ArgT const &amp;arg) const override</td></tr>
<tr class="separator:acfb377bda2c58ae62e6df9c3a8a89f8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbb9a083e93b546fd33c9235b644c40f"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html#acbb9a083e93b546fd33c9235b644c40f">describe</a> () const override</td></tr>
<tr class="separator:acbb9a083e93b546fd33c9235b644c40f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bf048dcce70ca3a35ba31362fc48efb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">MatchAllOf</a>&lt; ArgT &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html#a8bf048dcce70ca3a35ba31362fc48efb">operator&amp;&amp;</a> (<a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const &amp;other)</td></tr>
<tr class="separator:a8bf048dcce70ca3a35ba31362fc48efb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfb377bda2c58ae62e6df9c3a8a89f8f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html#acfb377bda2c58ae62e6df9c3a8a89f8f">match</a> (ArgT const &amp;arg) const override</td></tr>
<tr class="separator:acfb377bda2c58ae62e6df9c3a8a89f8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbb9a083e93b546fd33c9235b644c40f"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html#acbb9a083e93b546fd33c9235b644c40f">describe</a> () const override</td></tr>
<tr class="separator:acbb9a083e93b546fd33c9235b644c40f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bf048dcce70ca3a35ba31362fc48efb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">MatchAllOf</a>&lt; ArgT &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html#a8bf048dcce70ca3a35ba31362fc48efb">operator&amp;&amp;</a> (<a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const &amp;other)</td></tr>
<tr class="separator:a8bf048dcce70ca3a35ba31362fc48efb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a6074fb4674a776c80af0ccad4cc5b6dd"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const  * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html#a6074fb4674a776c80af0ccad4cc5b6dd">m_matchers</a></td></tr>
<tr class="separator:a6074fb4674a776c80af0ccad4cc5b6dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acbb9a083e93b546fd33c9235b644c40f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbb9a083e93b546fd33c9235b644c40f">&#9670;&nbsp;</a></span>describe() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">Catch::Matchers::Impl::MatchAllOf</a>&lt; ArgT &gt;::describe </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acbb9a083e93b546fd33c9235b644c40f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbb9a083e93b546fd33c9235b644c40f">&#9670;&nbsp;</a></span>describe() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">Catch::Matchers::Impl::MatchAllOf</a>&lt; ArgT &gt;::describe </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acfb377bda2c58ae62e6df9c3a8a89f8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfb377bda2c58ae62e6df9c3a8a89f8f">&#9670;&nbsp;</a></span>match() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">Catch::Matchers::Impl::MatchAllOf</a>&lt; ArgT &gt;::match </td>
          <td>(</td>
          <td class="paramtype">ArgT const &amp;&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acfb377bda2c58ae62e6df9c3a8a89f8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfb377bda2c58ae62e6df9c3a8a89f8f">&#9670;&nbsp;</a></span>match() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">Catch::Matchers::Impl::MatchAllOf</a>&lt; ArgT &gt;::match </td>
          <td>(</td>
          <td class="paramtype">ArgT const &amp;&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8bf048dcce70ca3a35ba31362fc48efb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bf048dcce70ca3a35ba31362fc48efb">&#9670;&nbsp;</a></span>operator&amp;&amp;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">MatchAllOf</a>&lt;ArgT&gt; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">Catch::Matchers::Impl::MatchAllOf</a>&lt; ArgT &gt;::operator&amp;&amp; </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8bf048dcce70ca3a35ba31362fc48efb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bf048dcce70ca3a35ba31362fc48efb">&#9670;&nbsp;</a></span>operator&amp;&amp;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">MatchAllOf</a>&lt;ArgT&gt; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">Catch::Matchers::Impl::MatchAllOf</a>&lt; ArgT &gt;::operator&amp;&amp; </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a6074fb4674a776c80af0ccad4cc5b6dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6074fb4674a776c80af0ccad4cc5b6dd">&#9670;&nbsp;</a></span>m_matchers</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ArgT &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; ArgT &gt; const  * &gt; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">Catch::Matchers::Impl::MatchAllOf</a>&lt; ArgT &gt;::m_matchers</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
